Package: org.codehaus.groovy.control.customizers.builder

## [Groovy] Class ASTTransformationCustomizerFactory

- org.codehaus.groovy.control.customizers.builder.ASTTransformationCustomizerFactory

-     @CompileStatic
      class ASTTransformationCustomizerFactory
      extends AbstractFactory

  This factory generates an ast transformation customizer.

  Simple syntax:

      builder.ast(ToString)

  With AST transformation options:

      builder.ast(includeNames:true, ToString)

  Since:
    2.1.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ASTTransformationCustomizerFactory()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `isLeaf()`
    `` | `Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`
    `` | `boolean` | `onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map attributes)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractFactory` | `isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent`

- - ### Constructor Detail

    - #### ASTTransformationCustomizerFactory()

  - ### Method Detail

    - #### @Override
      boolean isLeaf()

    - #### @Override
      @CompileDynamic
      Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

    - #### @Override
      boolean onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map attributes)